Summary:       A library to find locations of IP addresses
Name:          GeoIP
Version:       1.6.9
Release:       1%{?dist}%{?pext}
License:       LGPLv2
Group:         System Environment/Libraries
Source0:       http://github.com/maxmind/geoip-api-c/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:        %{name}-1.6.3-pkgconfig.patch
URL:           http://github.com/maxmind/geoip-api-c/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        MaxMind, Inc.

%description
GeoIP is a C library that enables the user to find geographical and network
information of an IP address. It uses a file based database, which contains
IP blocks as keys, and countries as values. This database is more complete
and accurate than using reverse DNS lookups.

This package does not include any database files; see the geoipupdate package 
for an automatic process to download and update database files.


%package       devel
Summary:       Development tools for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      pkgconfig

%description   devel
The %{name}-devel package contains the libraries and header files for
developing software using %{name}.


%package       static
Summary:       Static libraries for %{name}
Group:         Development/Libraries
Requires:      %{name}-devel = %{version}-%{release}

%description   static
The %{name}-static package contains the statically linkable libraries
for %{name}.


%package       utils
Summary:       Utilities for %{name}
Group:         Applications/System
Requires:      %{name} = %{version}-%{release}

%description   utils
The %{name}-utils package contains console utilities for %{name}.


%prep
%setup -q
%patch0 -p1


%build
%configure \
	--datadir=%{_localstatedir}/lib \
	--enable-static                 \
	--enable-shared

%{__make} V=1 %{?_smp_mflags}


%check
%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

# Cleanup
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.{?,??}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL *.md *.ico
%{_libdir}/libGeoIP.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/GeoIP.h
%{_includedir}/GeoIPCity.h
%{_libdir}/libGeoIP.la
%{_libdir}/libGeoIP.so
%{_libdir}/pkgconfig/geoip.pc

%files static
%defattr(-,root,root)
%{_libdir}/libGeoIP.a

%files utils
%defattr(-,root,root)
%{_bindir}/geoiplookup
%{_bindir}/geoiplookup6
%{_mandir}/man1/geoiplookup.1*
%{_mandir}/man1/geoiplookup6.1*


%changelog
* Sat Mar 05 2016 Peter Pramberger <peterpramb@member.fsf.org> - 1.6.9-1
- New version (1.6.9)

* Fri Nov 13 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.6.7-1
- New version (1.6.7)

* Sat Aug 29 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.6.6-1
- New version (1.6.6)

* Thu May 07 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.6.5-1
- New version (1.6.5)

* Fri Jan 09 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.6.3-1
- Initial build
